## cjk 4.8.3+git20120914

=== Makefile ===
# Copyright (C) 1994-2012  Werner Lemberg <wl@gnu.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program in doc/COPYING; if not, write to the Free
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301 USA

# You need GNU make to run this Makefile.
#
# Some issues:
#
# o This Makefile is intended to build the distribution tarballs only,
#   not to compile binaries.
#
# o Binaries of the CJK utility programs (and the standard tex stuff,
#   including dvipdfmx) must work.
#
# o GNU extensions of various utility programs are used.
#
# o emacs 22 (or newer) and the `cweave' program from the `c2cweb'
#   package, renamed to `cweavex', are needed.
#
# o The TeXLive version of some font definition files are used (in the
#   `texlive' subdirectory).

version=4.8.3

distdir=cjk-$(version)
abs-distdir=$(shell pwd)/$(distdir)

DISTDIRS=$(shell find . -type d | grep -v .git | grep -v $(distdir))

# expected: subdirs `dvi' and `cjk'
CJK2DVI=\
  (cd dvi; \
   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
   TFMFONTS=$(abs-distdir)/utils/thaifont/texmf/fonts/tfm//: \
     texi2dvi -l latex ../cjk/$@.cjk; \
   rm -f $@.aux $@.log $@.toc)

# LATEX2DVI srcdir targetdir
# expected: targetdir/dvi
LATEX2DVI=\
  cp $(1)/$@.tex $(2)/dvi; \
  (cd $(2)/dvi; \
   TEXINPUTS=$(abs-distdir)/{texlive,texinput//,contrib/wadalab,utils/pyhyphen}: \
   TFMFONTS=$(abs-distdir)/utils/thaifont/texmf/fonts/tfm//: \
     texi2dvi -l latex $@.tex; \
   rm -f $@.tex $@.aux $@.log $@.toc)

# DVI2PDF paper-format
# expected: subdir `pdf' and `dvi'
DVI2PDF=\
  dvipdfmx -v -p $(1) -o pdf/$@.pdf dvi/$@.dvi
  

# CONVERT converter srcdir targetdir [paper-format]
CONVERT=\
  cd $(distdir); \
  $(1) < $(2)/$@.tex > $(3)/cjk/$@.cjk; \
  cd $(3); \
  $(CJK2DVI); \
  $(if $(4),$(call DVI2PDF,$(4)),$(call DVI2PDF,letter))

# MULE srcdir targetdir [paper-format]
MULE=\
  cd $(distdir); \
  emacs --batch \
        --load utils/lisp/emacs/cjk-enc.el \
        --funcall batch-cjk-write-file \
        $(1)/$@.tex; \
  mv $(1)/$@.cjk $(2)/cjk; \
  cd $(2); \
  $(CJK2DVI); \
  $(if $(3),$(call DVI2PDF,$(3)),$(call DVI2PDF,letter))

# LATEX srcdir targetdir [paper-format]
LATEX=\
  cd $(distdir); \
  $(call LATEX2DVI,$(1),$(2)); \
  cd $(2); \
  $(if $(3),$(call DVI2PDF,$(3)),$(call DVI2PDF,letter))


DISTTARGETS=\
  READMEb5 \
  READMEgb \
  Big5 \
  Big5vert \
  CEF_test \
  CJKbabel \
  CJKfntef \
  CJKutf8 \
  CJKspace \
  CJKmixed \
  GB \
  JIS \
  KS \
  SJIS \
  UTF8 \
  muletest \
  pytest \
  py_test \
  rubytest \
  thai \
  thai_utf8 \
  c90


all:
	@echo
	@echo "    Say \`make dist' to build the tarballs."
	@echo


READMEb5:
	$(call CONVERT,bg5conv,doc/chinese,doc,a4)
READMEgb:
	$(call LATEX,doc/chinese,doc)
Big5 Big5vert:
	$(call CONVERT,bg5conv,examples,examples)
CEF_test:
	$(call CONVERT,cefconv,examples,examples)
SJIS:
	$(call CONVERT,sjisconv,examples,examples)
CJKbabel muletest rubytest thai thai_utf8:
	$(call MULE,examples,examples)
GB JIS KS UTF8 py_test CJKfntef CJKutf8 CJKspace CJKmixed:
	$(call LATEX,examples,examples)
pytest:
	$(call LATEX,utils/pyhyphen,examples)
c90:
	(cd $(abs-distdir)/utils/thaifont/tools; \
	 ln -s c90.etx c90.tex)
	$(call LATEX,utils/thaifont/tools,doc)


dist: distsrc predistdoc distdoc

distsrc:
	-rm -rf $(distdir)
	rm -f $(distdir).tar.gz
	rm -f $(distdir)-doc.tar.gz
	mkdir $(distdir)
	srcdir=`pwd`; \
	for d in $(DISTDIRS); do \
	  mkdir -p $(distdir)/$$d; \
	  (cd $(distdir)/$$d; \
	   f=`find $$srcdir/$$d -maxdepth 1 -type f`; \
	   test -z "$$f" || ln -s $$f . || true); \
	done
	for f in `find $(abs-distdir)/utils -name '*.w'`; do \
	  ctangle $$f - `echo $$f | sed s/w$$/c/`; \
	done
	tar cfh - $(distdir) | gzip -c > $(distdir).tar.gz

predistdoc:
	mkdir -p $(distdir)/doc/{cjk,dvi,pdf}
	mkdir -p $(distdir)/examples/{cjk,dvi,pdf}
	mkdir -p $(distdir)/doc/man/{dvi,html,pdf,txt}
	echo "This directory contains files which are \`preprocessed' with" \
	  > $(distdir)/doc/cjk/README
	echo "cjk-enc.el, bg5conv, etc." \
	  >> $(distdir)/doc/cjk/README
	echo \
	  >> $(distdir)/doc/cjk/README
	echo "You can feed them directly into LaTeX." \
	  >> $(distdir)/doc/cjk/README

distdoc: $(DISTTARGETS) manpages cweb
	for f in `find $(distdir) -type l`; do \
	  rm $$f; \
	done
	for f in `find $(distdir) -name '*.c'`; do \
	  rm $$f; \
	done
	-for d in `find $(distdir) -depth -type d`; do \
	  rmdir --ignore-fail-on-non-empty $$d; \
	done
	tar cfh - $(distdir) | gzip -c > $(distdir)-doc.tar.gz
	rm -rf $(distdir)

manpages:
	for f in `find utils -type f -name '*.1'`; do \
	  groff -ww -Tdvi -dpaper=letter -P-pletter -mec -man -rS11 $$f > \
	    $(abs-distdir)/doc/man/dvi/`basename $$f .1`.dvi; \
	  groff -ww -Tps -dpaper=letter -P-pletter -man -rS11 $$f | \
	    ps2pdf - $(abs-distdir)/doc/man/pdf/`basename $$f .1`.pdf; \
	  groff -ww -Tlatin1 -man -P-bcu $$f > \
	    $(abs-distdir)/doc/man/txt/`basename $$f .1`.txt; \
	  groff -ww -Thtml -man $$f > \
	    $(abs-distdir)/doc/man/html/`basename $$f .1`.html; \
	done

cweb:
	for f in `find utils -type f -name '*.w'`; do \
	  cp $$f $(abs-distdir)/doc/dvi; \
	  (cd $(abs-distdir)/doc/dvi; \
	   F=`basename $$f .w`; \
	   cweavex +a $$F.w; \
	   tex $$F; \
	   rm -rf $$F.idx $$F.log $$F.scn $$F.tex $$F.toc $$F.w; \
	   dvipdfmx -v -p letter -o ../pdf/$$F.pdf $$F); \
	done

# EOF

=== debian/changelog ===
cjk (4.8.3+git20120914-2ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 28 Dec 2013 02:50:55 -0500

cjk (4.8.3+git20120914-2) unstable; urgency=low

  * The "Released" release.
  * [debian/control, debian/rules]:
     - switch dependency from the obsolete `thailatex' and
       `latex-fonts-thai-tlwg' packages to texlive-lang-other
       (>= 2013.20130523-1).  Thanks to Theppitak Karoonboonyanan
       (Closes: #709686);
     - move from /u/s/doc/texmf to /u/s/texmf/doc and depend on
       tex-common (>= 4).
  * [debian/README.source] Typo.
  * Rebuild against some fresh TeXLive packages and move fromo Debian
    experimental to unstable.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Mon, 17 Jun 2013 09:20:35 +0800

cjk (4.8.3+git20120914-1) experimental; urgency=low

  * The "Thank you" release.
  * Acknowledge work by Norbert to make CJK automagically work with TL2012.
  * New upstream release:
     - Make cjk-enc.el work with Emacs23;
     - improve captions for Chinese (T/S) and Japanese;
     - fix imcompatibility with ulem.sty;
     - remove xCJK; use the xeCJK package instead;
     - accept Thai input in UTF-8 with cjk-enc.el and add a thai_utf8.tex
       example file;
     - add support for Thai font tlwg v0.5;
     - make some commands robust (\CJKtilde, \standardtilde, \CJKspace,
       \CJKnospace);
     - add Greek to the CJKutf8.tex example because the recent lgrx package
       delivers good Babel UTF-8 support for LGR encoding (however,
       cut-and-paste support remains a problem; see the upstream
       debian/changelog.gz file for more information).
  * [debian/*] Do not build the xcjk package anymore as it is made obsolete
     upstream.  Instead use the Debian package "texlive-xetex" which includes
     the LaTeX package "xeCJK".
  * [debian/README.Debian] Add information about the deprecation of
     latex-cjk-xcjk and about the use of Vietnamese and Greek.
  * [debian/patches/
  * [debian/patches/10_add_comments_in_KS_example_for_working_ko.tex_fonts.diff
     New patch.  hlatex-fonts-base does not exist; its replacement
     ko.tex-extra-hlfont does not contain all necessary fonts.  Explain which
     fonts do work, and modify the original KS.tex example file

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sat, 12 Jan 2013 00:18:49 +0800

=== debian/control ===
Source: cjk
Build-Depends: debhelper (>= 8.1.0~), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 4), autotools-dev
Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523-1)
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
Homepage: http://cjk.ffii.org/

Package: latex-cjk-common
Architecture: any
Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 4), ${misc:Depends}, ${shlibs:Depends}
Conflicts: cjk-latex (<= 4.5.1), latex-cjk, latex-cjk-xcjk
Replaces: cjk-latex
Provides: cjk-latex
Description: LaTeX macro package for CJK (Chinese/Japanese/Korean)
 CJK is a macro package for LaTeX to enable typesetting in Chinese,
 Japanese, Korean and Thai, and it supports Vietnamese through the
 "vntex" macro.  And you can still use Russian, Greek and other
 languages in the same document.
 It supports various CJK encodings, like UTF-8, Big5, GB, JIS, KS,
 CNS (through CEF) and Emacs MULE.
 .
 This package will install the common files, as well as a few
 GNU/Emacs Lisp files, and it provides support for furigana
 ("ruby text") and PinYin, either with or without tone marks.

Package: latex-cjk-chinese
Architecture: any
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
Recommends: latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
Suggests: hbf-cns40-b5, hbf-jfs56
Conflicts: cjk-latex (<= 4.5.1), tfm-arphic-bsmi00lp (<= 2.11.2-0.1), tfm-arphic-bkai00mp (<= 2.11.2-0.1), tfm-arphic-gbsn00lp (<= 2.11.2-0.1), tfm-arphic-gkai00mp (<= 2.11.2-0.1)
Description: Chinese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Chinese (traditional and simplified) text in your (La)TeX documents.
 .
 Install hbf-jfs56 if you want to use bitmap fonts in simplified Chinese.
 Install hbf-cns40-b5 if you want bitmap fonts in traditional Chinese.
 Install hbf-cns40-[1-7] if you want CEF bitmap fonts.  This is only needed
 if you need extremely rare and exotic Chinese characters.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-japanese
Architecture: any
Recommends: latex-cjk-japanese-wadalab
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 4), ${misc:Depends}, ${shlibs:Depends}
Suggests: hbf-kanji48
Conflicts: cjk-latex (<= 4.5.1)
Description: Japanese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Japanese text in your (La)TeX documents.  Install
 latex-cjk-japanese-wadalab for pretty printing.
 .
 Install hbf-kanji48 if you want to use bitmap fonts in your documents.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-korean
Architecture: all
Recommends: ko.tex-extra-hlfont
Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 4), ${misc:Depends}
Conflicts: cjk-latex (<= 4.5.1)
Description: Korean module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Korean text in your (La)TeX documents.

Package: latex-cjk-thai
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 4), texlive-lang-other (>= 2013.20130523-1), ${misc:Depends}
Conflicts: cjk-latex (<= 4.5.1)
Description: Thai module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Thai text in your (La)TeX documents.
 It uses the same Type1 fonts (Norasi and Garuda) from the ThaiLaTeX package.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-all
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), latex-cjk-chinese (>= ${source:Version}), latex-cjk-japanese (>= ${source:Version}), latex-cjk-korean (= ${source:Version}), latex-cjk-thai (= ${source:Version}), latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, ${misc:Depends}
Conflicts: cjk-latex (<= 4.5.1)
Description: installs all LaTeX CJK packages
 This package will install all CJK packages.
 You may also wish to install each package separately instead.
 See the latex-cjk-common package for a detailed description.

Package: cjk-latex
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), ${misc:Depends}
Suggests: latex-cjk-all (= ${source:Version})
Conflicts: cjk-latex (<= 4.5.1)
Description: installs all LaTeX CJK packages
 This is a dummy package that allows you to smoothly upgrade
 from the old cjk-latex to the current latex-cjk-common packages.
 After the installation of the latex-cjk-common packages, you can
 safely delete this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Made with the aid of debhelper by Joey Hess,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#
# This is free software; see the GNU General Public Licence
# version 2 or later for copying conditions.  There is NO warranty.
#
# Currently maintained by Danai SAE-HAN (韓達耐) <danai@debian.org>
# for Debian GNU/Linux.

SHELL = /bin/sh

include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# When you use the official CVS, SVN, GIT source tree. =CVS:.svn:.git
export DH_ALWAYS_EXCLUDE=.git:CVS:.svn

# The build directory for Thai fonts.
build_thaifonts = build_thaifonts

# Stuff for get-orig-source.
# Getting the revision numbers according to debian/changelog, the HARD way.
upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
unixdate := $(shell date -d $(isodate) +%s)
# Add 24 hours to the Unix timestamp.
unixdate := $(shell expr $(unixdate) + 86400 )

# To get the Master revision number (i.e. 4.8.0), use:
# dpkg-parsechangelog | sed -ne 's/^Version: *\([^+-]*\).*/\1/p'


build: $(QUILT_STAMPFN) build-stamp
build-arch:
	dh_testdir
	dh_autotools-dev_updateconfig
	# Add here commands to compile the package.
	$(MAKE)

	touch build-arch-stamp

build-indep:
	dh_testdir

	mkdir $(build_thaifonts)

# The upstream patch on 2008-12-28 in CJK provided support for
# the ThaiLaTeX fonts that shipped with v0.4.2.
# Before this patch CJK couldn't directly use the same fonts as
# ThaiLaTeX.  latex-cjk-thai therefore installed its own extra fonts.
# If you still wish to use these modified fonts, then don't forget to
# uncomment the last two lines in debian/latex-cjk-thai.install ,
# to comment/uncomment some of the lines below and to remove the
# dependency on thailatex.

#	# Extracting binary files
# How it was used: uuencode thaifonts.tar.gz thaifonts.tar.gz > thaifonts.tar.gz.uu
# You will need a Build-Dependency on the `sharutils' package in debian/control.
#	cd debian && uudecode thaifonts.tar.gz.uu && tar xzf thaifonts.tar.gz
#	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst ../debian/thaifonts/* . && cd ../debian/thaifonts && prename 's/_//' * && prename 's/\./n\./' norasi.* garuda.*)
	(cd $(build_thaifonts) && cp ../utils/thaifont/tools/c90.* ../utils/thaifont/tools/*.fontinst /usr/share/texlive/texmf-dist/fonts/afm/public/fonts-tlwg/garuda*.afm /usr/share/texlive/texmf-dist/fonts/afm/public/fonts-tlwg/norasi*.afm .)

	(cd $(build_thaifonts) && tex norasi-c90.fontinst && tex garuda-c90.fontinst && for i in f*.pl; do pltotf $$i; done)

	touch build-indep-stamp

build-stamp:
	touch build-stamp

clean: unpatch
#	dh_testdir doc/CJKutf8.txt examples/CJKbabel.tex
	dh_testroot
	rm -f build-stamp build-indep-stamp build-arch-stamp

	# Add here commands to clean up after the build process.

# If a Debian patch has been applied on Makefile, perform a distclean;
# if not, do nothing.  Reason: CJK upstream has no cleaning targets.
	if [ $(shell grep -c distclean Makefile) -gt 0 ]; then $(MAKE) distclean; fi

	# Remove the binary files.
	rm -rf $(build_thaifonts)

# Remove the .c file created by ctangle.
# This dirty hack is due to the introduction of the Lintian warning
# "patch-system-but-direct-changes-in-diff".  For more information,
# check out Debian bug #471263 at
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=471263 .
# It would otherwise also create problems for Debian Source 3.0 (quilt).
	rm -f utils/hbf2gf/config.log
	rm -f utils/hbf2gf/config.status
	rm -f utils/hbf2gf/hbf.o
	rm -f utils/hbf2gf/hbf2gf
	rm -f utils/hbf2gf/hbf2gf.c
	rm -f utils/hbf2gf/hbf2gf.o
	rm -f utils/hbf2gf/Makefile
	rm -f utils/Bg5conv/bg5conv
	rm -f utils/CEFconv/cefconv
	rm -f utils/CEFconv/cef5conv
	rm -f utils/CEFconv/cefsconv
	rm -f utils/SJISconv/sjisconv
	rm -f utils/extconv/extconv

	dh_autotools-dev_restoreconfig
	dh_clean

install:
	dh_testdir
	dh_testroot
#	dh_installdirs -platex-cjk-chinese usr/share/texmf/tex/latex/CJK/CEF

	# Add here commands to install the package into debian/tmp.
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install

# Build architecture-independent files here.
binary-indep: build-indep
	dh_testdir -i
	dh_testroot -i

# Install files in the respective subpackages, according
# to the [package].install files.
	dh_install -i
	dh_link -platex-cjk-korean usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-korean
	dh_link -platex-cjk-all usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-all
	dh_link -pcjk-latex usr/share/doc/latex-cjk-common usr/share/doc/cjk-latex
	dh_link -platex-cjk-thai usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-thai
	dh_installtex -platex-cjk-thai --flavor=map:config_for_all_maps map=Map,garuda-c90.map map=Map,norasi-c90.map
	dh_installtex -platex-cjk-korean
	dh_installemacsen -i
	dh_compress -i
	dh_fixperms -i
	dh_shlibdeps -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build build-arch install
	dh_testdir -a
	dh_testroot -a

# Install files in the respective subpackages, according
# to the [package].install files.
	dh_install -a

	chmod +x debian/latex-cjk-common/usr/share/latex-cjk-common/utils/subfonts/*.pl

	dh_link -platex-cjk-chinese usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-chinese
	dh_link -platex-cjk-japanese usr/share/doc/latex-cjk-common usr/share/doc/latex-cjk-japanese

	# Get the documentation in texdoc.  texdoctk unfortunately uses another engine.
	dh_link -platex-cjk-common usr/share/doc/latex-cjk-common usr/share/texmf/doc/latex/latex-cjk

	dh_installtex -platex-cjk-common -platex-cjk-japanese
	dh_installtex -platex-cjk-chinese

	dh_installdocs -platex-cjk-common
	dh_installexamples -platex-cjk-common
	dh_installman -a
	dh_installchangelogs -platex-cjk-common ChangeLog
	dh_installemacsen -a
	dh_strip --exclude=.pl -a
	dh_compress -a
	dh_fixperms -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	# Cleaning
	rm -rf cjk-$(upstream_version)
	rm -f ../cjk_$(upstream_version).orig.tar.gz

	# Download the latest GIT version and downgrade it to $(unixdate).
	git clone git://git.sv.gnu.org/cjk.git cjk-$(upstream_version)

#	cd cjk-$(upstream_version) && git reset --hard `git rev-list --all -n 1 --before=$(unixdate)`

	# Make a pristine package.
	mkdir -p ../tarballs
# --no-name/-n is important because it won't save the timestamp in the
# 5th to 8th byte of the gzip.
	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ $$(git rev-list --all -n 1 --before=$(unixdate)) | gzip -9 --no-name -c > ../../tarballs/cjk_$(upstream_version).orig.tar.gz

	# Clean again, because we use svn-buildpackage afterwards.
	rm -rf cjk-$(upstream_version)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install get-orig-source

## cjk 4.8.3+git20140831

=== debian/changelog ===
cjk (4.8.3+git20140831-1ubuntu1) vivid; urgency=medium

  * debian/patches/03_Makefile.diff: Put quotes around the LDFLAGS so that
    it doesn't FTBFS with a space in them.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 03 Nov 2014 00:32:27 -0500

cjk (4.8.3+git20140831-1) unstable; urgency=low

  * The "Alexander Nikolajevitsch Scriabin" release.
  *  Bump the release to the latest GIT release from 31 August 2014:
      - Fix in hbf2gf;
      - fix space handling of non-CJK characters.
  * [debian/control]
      - Let latex-cjk-korean recommend `texlive-lang-korean' instead of
        `ko.tex-extra-hlfont';
      - bump Standards-Version from 3.9.3 to 3.9.6 (no changes required);
      - change "package" to "metapackage" for "latex-cjk-all" to not
        confuse Lintian;
      - Build-Depend on texlive-lang-other (>= 2013.20130523), not
        2013.20130523-1;
      - Update Build-Dependency of debhelper from (>= 8.1.0~) to
        (>= 9.20141003).
  * [debian/control,debian/rules] Bug fix: "use autotools-dev to update
    config.{sub,guess} for new arches", thanks to Logan Rosen
    (Closes: #733476).
  * [debian/compat] Switch from version 8 to 9.
  * [debian/patches/03_Makefile.diff] Add a fix to harden the `hbf2gf'
     and `*conv' binaries, in particular to have "read-only reolcations"
     while compiling with GCC.  I use `dpkg-buildflags' instead of hard
     configuration in the Makefile.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Sun, 05 Oct 2014 16:16:19 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: cjk
-Build-Depends: debhelper (>= 8.1.0~), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 4), autotools-dev
-Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523-1)
+Build-Depends: debhelper (>= 9.20141003), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 4), autotools-dev
+Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523)
 Section: tex
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
 Homepage: http://cjk.ffii.org/
@@ -63,7 +63,7 @@
 
 Package: latex-cjk-korean
 Architecture: all
-Recommends: ko.tex-extra-hlfont
+Recommends: texlive-lang-korean
 Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 4), ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Korean module of LaTeX CJK
@@ -86,7 +86,7 @@
 Depends: latex-cjk-common (>= ${source:Version}), latex-cjk-chinese (>= ${source:Version}), latex-cjk-japanese (>= ${source:Version}), latex-cjk-korean (= ${source:Version}), latex-cjk-thai (= ${source:Version}), latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, latex-cjk-japanese-wadalab, ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: installs all LaTeX CJK packages
- This package will install all CJK packages.
+ This metapackage will install all CJK packages.
  You may also wish to install each package separately instead.
  See the latex-cjk-common package for a detailed description.

## cjk 4.8.4%2Bgit20150701

=== debian/changelog ===
cjk (4.8.4+git20150701-1) unstable; urgency=medium

  * update patches for new release
  * fix building when LDFLAGS contains path with spaces (Closes:  #767870)
  * fix building with new libkpathsea (Closes: #790656)
  * fix emacs installation warnings (Closes: #765595)

 -- Norbert Preining <preining@debian.org>  Wed, 01 Jul 2015 12:47:24 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523)
 Section: tex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
 Standards-Version: 3.9.6
 Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
@@ -13,7 +12,7 @@
 
 Package: latex-cjk-common
 Architecture: any
-Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 4), ${misc:Depends}, ${shlibs:Depends}
+Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 4), emacsen-common (>= 2.0.8), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: cjk-latex (<= 4.5.1), latex-cjk, latex-cjk-xcjk
 Replaces: cjk-latex
 Provides: cjk-latex
@@ -72,7 +71,7 @@
 
 Package: latex-cjk-thai
 Architecture: all
-Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 4), texlive-lang-other (>= 2013.20130523-1), ${misc:Depends}
+Depends: latex-cjk-common (>= ${source:Version}), texlive-latex-base, tex-common (>= 4), texlive-lang-other (>= 2013.20130523-1), emacsen-common (>= 2.0.8), ${misc:Depends}
 Conflicts: cjk-latex (<= 4.5.1)
 Description: Thai module of LaTeX CJK
  CJK is a macro package for LaTeX.  This package gives you the possibility

## cjk 4.8.4+git20150701

=== debian/changelog ===
cjk (4.8.4+git20150701-2) unstable; urgency=medium

  [ Norbert Preining ]
  * fix Vcs fields
  * remove hacks for c-auto.h, libkpathsea-dev is fixed

  [ Danai SAE-HAN (韓達耐) ]
  * [debian/control]
      - Bump dh to >=9.20160115 for the automatic creation of -dbgsym
        packages;
      - bump Standards-Version from 3.9.6 to 3.9.8 (no changes required).
  * [debian/rules]
      - Apply patch from Santiago Vila to fix FTBFS (Closes: #806608).

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Wed, 11 May 2016 01:50:21 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cjk
-Build-Depends: debhelper (>= 9.20141003), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 4), autotools-dev
+Build-Depends: debhelper (>= 9.20160115), quilt, libkpathsea-dev, texlive-extra-utils, git-core, tex-common (>= 4), autotools-dev
 Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523)
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>, Norbert Preining <preining@debian.org>
-Standards-Version: 3.9.6
-Vcs-Svn: svn://svn.debian.org/svn/debian-tex/cjk/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/cjk/trunk/
+Standards-Version: 3.9.8
+Vcs-Svn: svn://anonscm.debian.org/debian-tex/cjk/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-tex/cjk/trunk/
 Homepage: http://cjk.ffii.org/
 
 Package: latex-cjk-common

=== debian/rules ===
--- 
+++ 
@@ -35,15 +35,21 @@
 
 
 build: $(QUILT_STAMPFN) build-stamp
-build-arch:
+build-arch: build-arch-stamp
+
+build-arch-stamp:
 	dh_testdir
+
+	# Update config.{guess,sub}
 	dh_autotools-dev_updateconfig
 	# Add here commands to compile the package.
 	$(MAKE)
 
 	touch build-arch-stamp
 
-build-indep:
+build-indep: build-indep-stamp
+
+build-indep-stamp:
 	dh_testdir
 
 	mkdir $(build_thaifonts)
@@ -105,7 +111,9 @@
 	rm -f utils/SJISconv/sjisconv
 	rm -f utils/extconv/extconv
 
+	# Clean up config.{guess,sub}
 	dh_autotools-dev_restoreconfig
+
 	dh_clean
 
 install:

## cjk 4.8.4+git20170127

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 1994-2012  Werner Lemberg <wl@gnu.org>
+# Copyright (C) 1994-2015  Werner Lemberg <wl@gnu.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -33,7 +33,7 @@
 # o The TeXLive version of some font definition files are used (in the
 #   `texlive' subdirectory).
 
-version=4.8.3
+version=4.8.4
 
 distdir=cjk-$(version)
 abs-distdir=$(shell pwd)/$(distdir)
@@ -162,7 +162,7 @@
 	for f in `find $(abs-distdir)/utils -name '*.w'`; do \
 	  ctangle $$f - `echo $$f | sed s/w$$/c/`; \
 	done
-	tar cfh - $(distdir) | gzip -c > $(distdir).tar.gz
+	tar -H ustar -chf - $(distdir) | gzip -9 -c > $(distdir).tar.gz
 
 predistdoc:
 	mkdir -p $(distdir)/doc/{cjk,dvi,pdf}
@@ -187,7 +187,7 @@
 	-for d in `find $(distdir) -depth -type d`; do \
 	  rmdir --ignore-fail-on-non-empty $$d; \
 	done
-	tar cfh - $(distdir) | gzip -c > $(distdir)-doc.tar.gz
+	tar -H ustar -chf - $(distdir) | gzip -9 -c > $(distdir)-doc.tar.gz
 	rm -rf $(distdir)
 
 manpages:

=== debian/changelog ===
cjk (4.8.4+git20170127-4) unstable; urgency=medium

  * Remove git-core from BD.
  * Update d/copyright file, add me to uploaders.

 -- Hilmar Preusse <hille42@web.de>  Thu, 13 Jan 2022 23:16:54 +0100

cjk (4.8.4+git20170127-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Convert to git, update VCS fields, update my email (Closes: #925915)
  * Add dependency on fonts-arphic-uming (Closes: #925904)

  [ Danai SAE-HAN (韓達耐) ]
  * [debian/control]
      - Bump up the Standards-Version from 4.1.0 to 4.3.0.3.
  * [debian/TODO] Update.

  * Replace some "rm -f" in d/rules clean target by d/clean.
  * Fix day-of-week for changelog entries 4.6.0+cvs20051031-10,
    4.6.0+cvs20051031-5 (thanks to Debian Janitor).
  * Project is considered to be dead upstream, remove
    get-orig-source target from d/rules, correct upstream URL.
  * More lintian work.
    - Override for files having national encoding.
    - Replace versioned "Conflicts" by "Breaks/Replaces".

 -- Hilmar Preusse <hille42@web.de>  Tue, 02 Mar 2021 09:44:23 +0100

cjk (4.8.4+git20170127-2) unstable; urgency=medium

  * Fix FTCBFS: (Closes: #875932)
    [debian/rules]
      - Remove manual patching and unpatching in a 3.0 (quilt) package.
      - Let dh_auto_configure and dh_auto_build pass cross flags.
        Bug report and patch thanks to Helmut Grohne!

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Tue, 26 Sep 2017 21:26:31 +0800

cjk (4.8.4+git20170127-1) unstable; urgency=low

  [ Danai SAE-HAN (韓達耐) ]
  * I tried to use dh-elpa but to no avail, despite the maintainer claiming
    it should be used now for all Emacs Lisp files even if upstream is not
    using ELPA.  Feel free to send in a patch.  I've given up.
  * [debian/copyright]
      - Fix typo: change ffi.org to ffii.org; thanks to Hilmar Preuße.
        (Closes: #856804)
  * [debian/patches/04_extend_examplefiles.diff]
      - Remove some unnecessary changes to some example files.
  * [debian/control]
      - Bump up debhelper dependency to version >=10.2.5.
      - Bump up the Standards-Version from 3.9.8 to 4.1.0; looks all good.
      - Remove dependency on autotools-dev; compat=10 now includes it by
        default.
  * [debian/compat]
      - Bump from 9 to 10.
  * [patches/03_Makefile.diff]
      - Make sure "make" is not run if "configure" fails (Closes: #875478).
        Thanks Helmut!
  * [debian/rules]
      - Remove dh_autotools-dev_restoreconfig; dh_update_autotools_config(1)
        now says dh_clean will restore the original config.{guess,sub}.
      - Replace "dh_autotools-dev_updateconfig" with
        "dh_update_autotools_config".
  * Bump the release to the latest GIT release from 27 January 2017:
      - * examples/*.tex: Fixes Vietnamese bit-rot, adds requirement comments
      - * utils/lisp/emacs/cjk-enc.el (cjk-coding): Remove `chinese-big5'
      - [cjk-enc.el] Updated to work with Emacs 25 and later.

 -- Danai SAE-HAN (韓達耐) <danai@debian.org>  Fri, 15 Sep 2017 19:37:31 +0800

=== debian/control ===
Source: cjk
Build-Depends: debhelper (>= 10.2.5), quilt, libkpathsea-dev, texlive-extra-utils, tex-common (>= 4)
Build-Depends-Indep: texlive-base-bin, perl-base (>= 5.8.0), texlive-font-utils, texlive-lang-other (>= 2013.20130523)
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Danai SAE-HAN (韓達耐) <danai@debian.org>,
    Norbert Preining <norbert@preining.info>,
    Hilmar Preusse <hille42@web.de>
Standards-Version: 4.3.0.3
Rules-Requires-Root: no
Vcs-Git: https://github.com/debian-tex/cjk.git
Vcs-Browser: https://github.com/debian-tex/cjk
Homepage: https://www.nongnu.org/cjk

Package: latex-cjk-common
Architecture: any
Depends: texlive-latex-base, texlive-font-utils (>= 2007.dfsg.2-1), tex-common (>= 4), emacsen-common (>= 2.0.8), ${misc:Depends}, ${shlibs:Depends}
Conflicts: latex-cjk, latex-cjk-xcjk
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Provides: cjk-latex
Description: LaTeX macro package for CJK (Chinese/Japanese/Korean)
 CJK is a macro package for LaTeX to enable typesetting in Chinese,
 Japanese, Korean and Thai, and it supports Vietnamese through the
 "vntex" macro.  And you can still use Russian, Greek and other
 languages in the same document.
 It supports various CJK encodings, like UTF-8, Big5, GB, JIS, KS,
 CNS (through CEF) and Emacs MULE.
 .
 This package will install the common files, as well as a few
 GNU/Emacs Lisp files, and it provides support for furigana
 ("ruby text") and PinYin, either with or without tone marks.

Package: latex-cjk-chinese
Architecture: any
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 3), ${misc:Depends}, ${shlibs:Depends}
Recommends: latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp
Suggests: hbf-cns40-b5, hbf-jfs56
Breaks: cjk-latex (<= 4.5.1),
	tfm-arphic-bsmi00lp (<= 2.11.2-0.1),
	tfm-arphic-bkai00mp (<= 2.11.2-0.1),
	tfm-arphic-gbsn00lp (<= 2.11.2-0.1),
	tfm-arphic-gkai00mp (<= 2.11.2-0.1)
Replaces: cjk-latex (<= 4.5.1),
	tfm-arphic-bsmi00lp (<= 2.11.2-0.1),
	tfm-arphic-bkai00mp (<= 2.11.2-0.1),
	tfm-arphic-gbsn00lp (<= 2.11.2-0.1),
	tfm-arphic-gkai00mp (<= 2.11.2-0.1)
Description: Chinese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Chinese (traditional and simplified) text in your (La)TeX documents.
 .
 Install hbf-jfs56 if you want to use bitmap fonts in simplified Chinese.
 Install hbf-cns40-b5 if you want bitmap fonts in traditional Chinese.
 Install hbf-cns40-[1-7] if you want CEF bitmap fonts.  This is only needed
 if you need extremely rare and exotic Chinese characters.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-japanese
Architecture: any
Recommends: latex-cjk-japanese-wadalab
Depends: latex-cjk-common (= ${binary:Version}), tex-common (>= 4), ${misc:Depends}, ${shlibs:Depends}
Suggests: hbf-kanji48
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Description: Japanese module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Japanese text in your (La)TeX documents.  Install
 latex-cjk-japanese-wadalab for pretty printing.
 .
 Install hbf-kanji48 if you want to use bitmap fonts in your documents.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-korean
Architecture: all
Recommends: texlive-lang-korean
Depends: latex-cjk-common (>= ${source:Version}), tex-common (>= 4), ${misc:Depends}
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Description: Korean module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Korean text in your (La)TeX documents.

Package: latex-cjk-thai
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}),
 texlive-latex-base,
 tex-common (>= 4),
 texlive-lang-other (>= 2013.20130523-1),
 emacsen-common (>= 2.0.8),
 ${misc:Depends}
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Description: Thai module of LaTeX CJK
 CJK is a macro package for LaTeX.  This package gives you the possibility
 to include Thai text in your (La)TeX documents.
 It uses the same Type1 fonts (Norasi and Garuda) from the ThaiLaTeX package.
 .
 Have a look at latex-cjk-common for a more detailed description.

Package: latex-cjk-all
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}),
 latex-cjk-chinese (>= ${source:Version}),
 latex-cjk-japanese (>= ${source:Version}),
 latex-cjk-korean (= ${source:Version}),
 latex-cjk-thai (= ${source:Version}),
 latex-cjk-chinese-arphic-bsmi00lp,
 latex-cjk-chinese-arphic-bkai00mp,
 latex-cjk-chinese-arphic-gbsn00lp,
 latex-cjk-chinese-arphic-gkai00mp,
 latex-cjk-japanese-wadalab,
 fonts-arphic-uming,
 ${misc:Depends}
Breaks: cjk-latex (<= 4.5.1)
Replaces: cjk-latex (<= 4.5.1)
Description: installs all LaTeX CJK packages
 This metapackage will install all CJK packages.
 You may also wish to install each package separately instead.
 See the latex-cjk-common package for a detailed description.

Package: cjk-latex
Architecture: all
Depends: latex-cjk-common (>= ${source:Version}), ${misc:Depends}
Suggests: latex-cjk-all (= ${source:Version})
Description: installs all LaTeX CJK packages - dummy package
 This is a dummy package that allows you to smoothly upgrade
 from the old cjk-latex to the current latex-cjk-common packages.
 After the installation of the latex-cjk-common packages, you can
 safely delete this package.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SHELL = /bin/sh
 
-include /usr/share/quilt/quilt.make
+include /usr/share/dpkg/buildflags.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -24,11 +24,11 @@
 
 # Stuff for get-orig-source.
 # Getting the revision numbers according to debian/changelog, the HARD way.
-upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
-isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
-unixdate := $(shell date -d $(isodate) +%s)
+#upstream_version := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
+#isodate := $(shell dpkg-parsechangelog | sed -ne 's/^Version.*git\(.*\)-.*/\1/p')
+#unixdate := $(shell date -d $(isodate) +%s)
 # Add 24 hours to the Unix timestamp.
-unixdate := $(shell expr $(unixdate) + 86400 )
+#unixdate := $(shell expr $(unixdate) + 86400 )
 
 # To get the Master revision number (i.e. 4.8.0), use:
 # dpkg-parsechangelog | sed -ne 's/^Version: *\([^+-]*\).*/\1/p'
@@ -41,9 +41,15 @@
 	dh_testdir
 
 	# Update config.{guess,sub}
-	dh_autotools-dev_updateconfig
+	dh_update_autotools_config
+
 	# Add here commands to compile the package.
-	$(MAKE)
+	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
+	dh_auto_configure --sourcedirectory=utils/hbf2gf -- \
+        --with-kpathsea-lib=/usr/lib \
+        --with-kpathsea-include=/usr/include
+	dh_auto_build --sourcedirectory=utils/hbf2gf
+	dh_auto_build
 
 	touch build-arch-stamp
 
@@ -77,7 +83,7 @@
 build-stamp:
 	touch build-stamp
 
-clean: unpatch
+clean:
 #	dh_testdir doc/CJKutf8.txt examples/CJKbabel.tex
 	dh_testroot
 	rm -f build-stamp build-indep-stamp build-arch-stamp
@@ -97,22 +103,9 @@
 # check out Debian bug #471263 at
 # http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=471263 .
 # It would otherwise also create problems for Debian Source 3.0 (quilt).
-	rm -f utils/hbf2gf/config.log
-	rm -f utils/hbf2gf/config.status
-	rm -f utils/hbf2gf/hbf.o
-	rm -f utils/hbf2gf/hbf2gf
-	rm -f utils/hbf2gf/hbf2gf.c
-	rm -f utils/hbf2gf/hbf2gf.o
-	rm -f utils/hbf2gf/Makefile
-	rm -f utils/Bg5conv/bg5conv
-	rm -f utils/CEFconv/cefconv
-	rm -f utils/CEFconv/cef5conv
-	rm -f utils/CEFconv/cefsconv
-	rm -f utils/SJISconv/sjisconv
-	rm -f utils/extconv/extconv
 
 	# Clean up config.{guess,sub}
-	dh_autotools-dev_restoreconfig
+#	dh_autotools-dev_restoreconfig
 
 	dh_clean
 
@@ -139,6 +132,7 @@
 	dh_installtex -platex-cjk-thai --flavor=map:config_for_all_maps map=Map,garuda-c90.map map=Map,norasi-c90.map
 	dh_installtex -platex-cjk-korean
 	dh_installemacsen -i
+	dh_lintian -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_shlibdeps -i
@@ -173,6 +167,7 @@
 	dh_installchangelogs -platex-cjk-common ChangeLog
 	dh_installemacsen -a
 	dh_strip --exclude=.pl -a
+	dh_lintian -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_shlibdeps -a
@@ -181,24 +176,24 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-get-orig-source:
+#get-orig-source:
 	# Cleaning
-	rm -rf cjk-$(upstream_version)
-	rm -f ../cjk_$(upstream_version).orig.tar.gz
+	#rm -rf cjk-$(upstream_version)
+	#rm -f ../cjk_$(upstream_version).orig.tar.gz
 
 	# Download the latest GIT version and downgrade it to $(unixdate).
-	git clone git://git.sv.gnu.org/cjk.git cjk-$(upstream_version)
+	#git clone git://git.sv.gnu.org/cjk.git cjk-$(upstream_version)
 
 #	cd cjk-$(upstream_version) && git reset --hard `git rev-list --all -n 1 --before=$(unixdate)`
 
 	# Make a pristine package.
-	mkdir -p ../tarballs
+	#mkdir -p ../tarballs
 # --no-name/-n is important because it won't save the timestamp in the
 # 5th to 8th byte of the gzip.
-	cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ $$(git rev-list --all -n 1 --before=$(unixdate)) | gzip -9 --no-name -c > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
+	#cd cjk-$(upstream_version) && git archive --format=tar --prefix=cjk-$(upstream_version)/ $$(git rev-list --all -n 1 --before=$(unixdate)) | gzip -9 --no-name -c > ../../tarballs/cjk_$(upstream_version).orig.tar.gz
 
 	# Clean again, because we use svn-buildpackage afterwards.
-	rm -rf cjk-$(upstream_version)
+	#rm -rf cjk-$(upstream_version)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install get-orig-source
